Get Patch Recommendation Job Latest Run Details

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/getPatchRecommendationJobLatestRunDetails

Gets Patch recommendation job latest run details

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Allowed Values: [ "timeCompleted", "status" ]
    excludes either 'timeCompleted' or 'status' from response
    Example: timeCompleted
Examples

Back to Top

Response

Supported Media Types

200 Response

Ok. Retrieved Patch Recommendation Job Latest Run Details.
Body ()
Root Schema : PatchRecommendationJobLatestRunDetails
Type: object
Patch Recommendation Job run details
Show Source
  • Latest submitted job's status. Allowed values Scheduled/Runnning/Succeeded/Failed
    Example: Scheduled
  • Latest successfully completed job time
    Example: 2023-06-14 14:14:20
Examples

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top